Subject: bug#60796: 27.1; Opening file ending in .sh inside a directory ending in .deb causes hang/100% thread usage

From: Casey Connor <[email-masked]>
Date: Fri, 13 Jan 2023 23:43:17 -0800

Oops, sorry, I just noticed the Cc on these emails that I should have 
been using. Repeating what I said in (accidental) privacy:

I installed Ubuntu Server 22.10 in a VM, booted, installed emacs-nox 
package from repo, did mkdir asdf.deb, cd asdf.deb, emacs -Q, and the 
problem happens there, in case that's useful. (v27.1)

I realized that it doesn't matter what you are editing (if anything), it 
just needs to be opened inside a directory ending in .deb.

-c

On 1/13/23 23:21, Eli Zaretskii wrote:
>> Date: Fri, 13 Jan 2023 15:19:31 -0800
>> From:  Casey Connor via "Bug reports for GNU Emacs,
>>   the Swiss army knife of text editors" <[email-masked]>
>>
>> When I do this:
>>
>> $ mkdir test.deb
>> $ cd test.deb
>> $ emacs -Q test.sh
>>
>> ...emacs opens but is hung: 100% usage of a core, apparently
>> indefinitely. So far it seems to be the case that the directory must end
>> in ".deb" and the file edited must end in ".sh".
> I cannot reproduce this, neither with Emacs 27.1 nor with Emacs 28.
> But I'm not on Debian.